Loading...
Searching...
No Matches
ConArcIt< GR > Class Template Reference
Tools and Utilities » Basic Graph Utilities

## Detailed Description

template<typename GR>
class lemon::ConArcIt< GR >

Iterator for iterating on parallel arcs connecting the same nodes. It is a higher level interface for the findArc() function. You can use it the following way:

for (ConArcIt<Graph> it(g, src, trg); it != INVALID; ++it) {
...
}
lemon::INVALID
const Invalid INVALID
Invalid iterators.
Definition base.cc:32
lemon::ConArcIt::ConArcIt
ConArcIt(const GR &g, Node u, Node v)
Constructor.
Definition core.h:1689

See also
  findArc()
  ArcLookUp, AllArcLookUp, DynArcLookUp

`#include <lemon/core.h>`

## Public Member Functions

| ConArcIt (const GR &g, Node u, Node v)
| Constructor.
| ConArcIt (const GR &g, Arc a)
| Constructor.
ConArcIt & | operator++ ()
| Increment operator.

## Constructor & Destructor Documentation

## ConArcIt() [1/2]

template<typename GR>

ConArcIt | ( | const GR & | g,
|  | Node | u,
|  | Node | v )

inline

Construct a new ConArcIt iterating on the arcs that connects nodes `u` and `v`.

## ConArcIt() [2/2]

template<typename GR>

ConArcIt | ( | const GR & | g,
|  | Arc | a )

inline

Construct a new ConArcIt that continues the iterating from arc `a`.

## Member Function Documentation

## operator++()

template<typename GR>

ConArcIt & operator++ | ( |  | ) |

inline

It increments the iterator and gives back the next arc.